
<div class="header-wrapper" [formGroup]="form">
    <mat-form-field class="input-wrapper">
        <mat-label>Search for product</mat-label>
        <input formControlName="search" matInput placeholder="Ex. Pizza">
    </mat-form-field>
    <mat-form-field class="select-wrapper">
        <mat-label>Product type</mat-label>
        <mat-select formControlName="type" name="food">
            <mat-option *ngFor="let productType of productTypes" [value]="productType.value">
                {{productType.label}}
            </mat-option>
        </mat-select>
    </mat-form-field>
</div>